# 版本号：14
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

INSERT INTO `Notification` (`tag`,`parentTag`,`basic`,`definite`) VALUES ('shop','tab_nearby',0,0);
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`,`definite`) VALUES ('shop_update','shop',1,1);
INSERT INTO `Notification` (`tag`,`parentTag`,`basic`,`definite`) VALUES ('my_shop','shop',1,0);
# 新版本默认增加【我的商家】显示小红点，清除一次之后，除非后续增加推送，则不再动这个
UPDATE `Notification` SET `count` = 1 WHERE `tag`='my_shop';
# -------------------------------- Shop --------------------------------
# shopID 唯一标识
# name 商家名称
# logo 商家logo图片地址
# tel 商家联系方式
# description 商家介绍
# categories 分类 （,）逗号分隔
# rate 商家评分
# rate_count 评分参与人数
# latitude 商家地理位置的经度
# longitude 商家地理位置的纬度
# link 商家链接
# createTime
# updateTime
CREATE TABLE IF NOT EXISTS `Shop`(
    `shopID` INTEGER PRIMARY KEY,
    `name` VARCHAR(255) NOT NULL,
    `logo` VARCHAR(255) NOT NULL,
    `tel` VARCHAR(255),
    `description` TEXT,
    `categories` TEXT NOT NULL,
    `rate` DOUBLE DEFAULT 0,
	`rate_count` INTEGER DEFAULT 0,
	`latitude` FLOAT DEFAULT 0,
	`longitude` FLOAT DEFAULT 0,
	`link` VARCHAR(255) NOT NULL,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);
