# 版本号：15
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

# -------------------------------- Advertisement --------------------------------
# desc 广告
# param position 广告位置
# param url 广告跳转的连接
# param text 广告文字
# param image 广告图片，包含图片连接，图片长宽
# param color 广告颜色
# param duration 广告持续时间

CREATE TABLE IF NOT EXISTS `Advertisement`(
  `advertisementID` INTEGER PRIMARY KEY AUTOINCREMENT,
  `position` TINYINT NOT NULL,
  `url` TEXT,
  `text` TEXT,
  `image` TEXT,
  `color` VARCHAR(255) NULL,
  `duration` TINYINT DEFAULT 0,
  `createTime` BIGINT DEFAULT 0,
  `updateTime` BIGINT DEFAULT 0
);

