# 版本号：1
# 请切记数据库更新的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

#Account
CREATE TABLE IF NOT EXISTS `Account`(
	`accountID` BIGINT NOT NULL PRIMARY KEY,
	`mobile` VARCHAR(20) NOT NULL,
	`email` VARCHAR(50) NULL,
    `accessToken` VARCHAR(20) NOT NULL,
	
    `surName` VARCHAR(255) NULL,
    `nickName` VARCHAR(255) NOT NULL,
    `zugaID` VARCHAR(50) NULL,
    `profiles` TEXT,
    `gender` TINYINT NOT NULL,
    `birthday` CHAR(10) NULL,
    `marriage` TINYINT NOT NULL,
    `interest` VARCHAR(500) NULL,
    `address` VARCHAR(500) NULL,
    `profession` VARCHAR(500) NULL,
    `introduction` VARCHAR(500) NULL,
    `signature` VARCHAR(500) NULL,
    `signinTime` BIGINT NOT NULL,
    `trialExpireTime` BIGINT NOT NULL,
    `paidExpireTime` BIGINT DEFAULT 0,
    
    `matchContacts` TINYINT DEFAULT 1,
    `friendVerify` TINYINT DEFAULT 1,
    `strangeMessage` TINYINT DEFAULT 1,
    `searchByPhone` TINYINT DEFAULT 1,
    `searchByID` TINYINT DEFAULT 1,
    
    `alert` TINYINT DEFAULT 1,
    `alertAudio` TINYINT DEFAULT 1,
    `alertShake` TINYINT DEFAULT 1,
    `alertName` TINYINT DEFAULT 1,

    `defaultAccount` TINYINT DEFAULT 0,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0
);
CREATE UNIQUE INDEX account_mobile ON Account (`mobile`);


CREATE TABLE IF NOT EXISTS `Transaction`(
    `transactionID` VARCHAR(255) PRIMARY KEY,
    `receipt` TEXT,
    `createTime` BIGINT DEFAULT 0,
    `updateTime` BIGINT DEFAULT 0
);