# 版本号：16
# 请切记数据库更新（应用版本更新）的时候不要在原来的版本文件里修改，原来的文件不能有任何修改
# 新加的数据库写在新的数据库版本文件里

# -------------------------------- StickerGroup --------------------------------
# desc 动画组
#    params groupID;// 动画组ID，[a-z0-9-]，例如：custom,default,...
#    params name;// 动画组蒙文名称，用于显示在表情商城
#    params icon;// 动画组ICON
#    params cover;// 动画组封面图片
#    params description;// 动画组描述
#    params checksum;// 动画组校验码（只要动画组属性、动画组中任何一个动画属性或动画列表顺序有变化时均发生改变）
#    params stickers;// 动画组包含的动画列表

CREATE TABLE IF NOT EXISTS `StickerGroup`(
  `groupID` VARCHAR(100) PRIMARY KEY,
  `name` TEXT NOT NULL,
  `icon` TEXT NOT NULL,
  `cover` TEXT NOT NULL,
  `description` TEXT,
  `checksum` TEXT NOT NULL,
  `stickers` TEXT NOT NULL,
  `createTime` BIGINT DEFAULT 0,
  `updateTime` BIGINT DEFAULT 0
);
