CREATE TABLE IF NOT EXISTS `account_backup`(
	`accountID` BIGINT NOT NULL PRIMARY KEY,
	`mobile` VARCHAR(20) NOT NULL,
	`email` VARCHAR(50) NULL,
    `accessToken` VARCHAR(20) NOT NULL,

    `surName` VARCHAR(255) NULL,
    `nickName` VARCHAR(255) NOT NULL,
    `zugaID` VARCHAR(50) NULL,
    `profiles` TEXT,
    `gender` TINYINT NOT NULL,
    `birthday` CHAR(10) NULL,
    `marriage` TINYINT NOT NULL,
    `interest` VARCHAR(500) NULL,
    `address` VARCHAR(500) NULL,
    `profession` VARCHAR(500) NULL,
    `introduction` VARCHAR(500) NULL,
    `signature` VARCHAR(500) NULL,
    `signinTime` BIGINT NOT NULL,
    `paidExpireTime` BIGINT DEFAULT 0,

    `matchContacts` TINYINT DEFAULT 1,
    `friendVerify` TINYINT DEFAULT 1,
    `strangeMessage` TINYINT DEFAULT 1,
    `searchByPhone` TINYINT DEFAULT 1,
    `searchByID` TINYINT DEFAULT 1,

    `alert` TINYINT DEFAULT 1,
    `alertAudio` TINYINT DEFAULT 1,
    `alertShake` TINYINT DEFAULT 1,
    `alertName` TINYINT DEFAULT 1,

    `defaultAccount` TINYINT DEFAULT 0,
	`createTime` BIGINT DEFAULT 0,
	`updateTime` BIGINT DEFAULT 0,

	`visit` INTEGER DEFAULT 0,
    `stealthVisit` TINYINT DEFAULT 0,
    `momentProtect` TINYINT DEFAULT 0,
    `cover` VARCHAR(500) DEFAULT NULL
);

INSERT INTO account_backup SELECT accountID,mobile,email,accessToken,surName,nickName,zugaID,
profiles,gender,birthday,marriage,interest,address,profession,introduction,signature,
signinTime,paidExpireTime,matchContacts,friendVerify,strangeMessage,searchByPhone,
searchByID,alert,alertAudio,alertShake,alertName,defaultAccount,createTime,
updateTime,visit,stealthVisit,momentProtect,cover FROM Account;
DROP TABLE Account;
ALTER TABLE account_backup RENAME TO Account;
CREATE UNIQUE INDEX account_mobile ON Account (`mobile`);